|  | Home · All Classes · Modules

# QStyleOptionTabBarBase Class Reference
[QtGui module]

The QStyleOptionTabBarBase class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with. More...

Inherits QStyleOption.

Inherited by QStyleOptionTabBarBaseV2.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabBarBase other)

### Members

- QRect selectedTabRect
- QTabBar.Shape shape
- QRect tabBarRect

## Detailed Description

The QStyleOptionTabBarBase class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with.

QStyleOptionTabBarBase contains all the information that QStyle functions need to draw the tab bar base. Note that this is only drawn for a standalone QTabBar (one that isn't part of a QTabWidget).

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionTabBarBase.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase.Type` | `SO_TabBarBase` | The type of style option provided (SO_TabBarBase for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionTabBarBase.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabBarBase.__init__ (self)

Construct a QStyleOptionTabBarBase, initializing the members vaiables to their default values.

### QStyleOptionTabBarBase.__init__ (self, QStyleOptionTabBarBase other)

Constructs a copy of other.

## Member Documentation

### QRect selectedTabRect

This variable holds the rectangle containing the selected tab.

This rectangle is contained within the tabBarRect. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

### QTabBar.Shape shape

This variable holds the shape of the tab bar.

The default value is QTabBar.RoundedNorth.

### QRect tabBarRect

This variable holds the rectangle containing all the tabs.

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.